ezmlm-idx(1)

NAME
ezmlm-idx - create index for mailing list archive

SYNOPSIS
ezmlm-idx [ -dDF ][ -fI msg ] dir

DESCRIPTION
ezmlm-idx reads all archived messages for the list in dir from dir/archive/ and creates a message index. The index file format is identical to that produced by ezmlm-send(1) (when dir/indexed is present). ezmlm-idx will ignore messages that do not have the owner execute bit set. ezmlm-idx will create the the index file under a different name and then move it into place. If dir/indexed does not exist, ezmlm-idx will create it to enable the use of the newly created subject and author index. ezmlm-idx will remove reply-indicators and the prefix from the subject before entry into the index, as described for ezmlm-send(1). ezmlm-idx will decode rfc2047 encoded subject and author headers. When unfolding split lines, ezmlm-idx will remove redundant escape sequences for the character set specified in dir/charset. ezmlm-idx calculates a subject hash based on the normalized subject header. Normalization removes linear whitespace, case information, and message reply indicators. The subject hash is used by ezmlm-get(1) for message threading.

OPTIONS

-d  Use the ``Date:'' header for date information, rather than the top ``Received:'' header. This is unreliable, but useful when messages have been transferred from another type of archive by mailing them to ezmlm. ezmlm-idx converts dates with two-digit years ``xx'' to 19xx if xx is >= 70. Otherwise, 20xx is assumed.

-D  (Default.) Use the ``Received:'' header, not the ``Date:'' header. This is more reliable since this is the header added by the receiving qmail. Also, this results in always correctly formatted dates in the same time zone (usually UTC).

-f msg
    Start indexing with the archive section containing message msg. This is useful if you have removed part of the archive and do not want to create (empty) directories and index files for these. It also decreases ezmlm-idx memory use.

-F  (Default.) Start indexing from message 1.

-v  Display ezmlm-idx version info.

-V  Display ezmlm-idx version info.

SEE ALSO
ezmlm-archive(1), ezmlm-get(1), ezmlm-send(1), ezmlm(5)